CREATE TABLESPACE "WCGATE" DATAFILE
  '/oradata/svfe/wcgate01.dbf' SIZE 52428800
  AUTOEXTEND ON NEXT 10485760 MAXSIZE 32767M
  LOGGING ONLINE PERMANENT BLOCKSIZE 8192
  EXTENT MANAGEMENT LOCAL AUTOALLOCATE DEFAULT
 NOCOMPRESS  SEGMENT SPACE MANAGEMENT AUTO;

CREATE TABLESPACE WCGATE LOGGING DATAFILE
    '+DATA'
    SIZE 200M
    REUSE
    AUTOEXTEND ON NEXT 20M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

CREATE USER wcgate IDENTIFIED BY wcgate1
      DEFAULT TABLESPACE wcgate
      TEMPORARY TABLESPACE "TEMP";

GRANT "CONNECT" TO wcgate;
GRANT "RESOURCE" TO wcgate;

ALTER USER wcgate DEFAULT ROLE ALL;

GRANT UNLIMITED TABLESPACE TO wcgate;

GRANT SELECT ON "SYS"."V_$SESSION" TO wcgate;
GRANT SELECT ON "SYS"."DBA_PROFILES" TO wcgate;
GRANT SELECT ON "SYS"."DBA_USERS" TO wcgate;
GRANT EXECUTE ON "SYS"."DBMS_LOCK" TO wcgate;
GRANT EXECUTE ON "SYS"."DBMS_PIPE" TO wcgate;
